/*
 *
 *
 */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "tdm_event.h"

struct tdm_event *tdm_event_new(const int ev_class)
{
	struct tdm_event *event = NULL;

	event = calloc(sizeof(*event));
	if (!event)
		return NULL;

	event->ev_class = ev_class;

	return event;
}

tdm_status_t tdm_event_queue(struct tdm_event *event)
{
	return TDM_STATUS_SUCCESS;
}

int tdm_event_class(const struct tdm_event *event)
{
	if (!event)
		return TDM_EVENT_NONE;

	return event->ev_class;
}

void tdm_event_set_class(struct tdm_event *event, const int ev_class)
{
	event->ev_class = ev_class;
}
