#include <stdio.h>

#include "tdm_common.h"
#include "tdm_module.h"

static tdm_status_t
test_init(const struct tdm_module_handle *h)
{
	printf("Hallo Welt!\n");
	return TDM_STATUS_SUCCESS;
}

static tdm_status_t
test_fini(const struct tdm_module_handle *h)
{
	printf("Adios Welt!\n");
	return TDM_STATUS_SUCCESS;
}

const struct tdm_module tdm_module = {
	.name = "test",
	.init = &test_init,
	.fini = &test_fini
};
